vue.js为什么不能支持ie8?

vue.js为什么不能支持ie8?

因为vue.js使用了IE8无法模拟的ECMAScript 5 特性,但它支持所有兼容ECMAScript 5 的浏览器。

Vue的数据代理实现使用了ECMASCript 5 的 Object.defineProperties(obj, props)方法,由于IE8不支持此方法,所以Vue自然也不支持IE8。

Object.defineProperty()

该方法允许精确添加或修改对象的属性。一般情况下,我们为对象添加属性是通过赋值来创建并显示在属性枚举中(for…in 或 Object.keys 方法),但这种方式添加的属性值可以被改变,也可以被删除。而使用 Object.defineProperty() 则允许改变这些额外细节的默认设置。例如,默认情况下,使用 Object.defineProperty() 增加的属性值是不可改变的。

在 vue 源码中搜索 “Object.defineProperty” :

1.png

可以看到有 5 个匹配的地方,也就是说 vue 中有 5 处使用了 “Object.defineProperty()”。

搜索的版本是: Vue.js v1.0.26

Object.defineProperty()的浏览器支持情况:

2.png

可以看出支持情况是 IE9 及以上。所以…

更多web前端自学知识,请查阅 HTML中文网 !!

以上就是vue.js为什么不能支持ie8?的详细内容,更多请关注web前端其它相关文章!

赞(0) 打赏
未经允许不得转载:web前端首页 » Vue.js 答疑

评论 抢沙发

  • 昵称 (必填)
  • 邮箱 (必填)
  • 网址

前端开发相关广告投放 更专业 更精准

联系我们

觉得文章有用就打赏一下文章作者

支付宝扫一扫打赏

微信扫一扫打赏